
//ajax请求，后端的类/对象
var global_ajaxObject = {
	config: {
		name: "config",
		method_about_detail: "about_detail",
		method_about_list: "about_list",
		method_about_us: "about_us",
		method_check_update: "check_update",
		method_column_detail: "column_detail",
		method_column_list: "column_list",
		method_get_sliding_pictures: "get_sliding_pictures",
		method_goods_select: "goods_select",
		method_guide_detail: "guide_detail",
		method_guide_list: "guide_list",
		method_info_fee: "infoFee",
		method_news_list: "news_list",
		method_notice_detail: "noticeDetail",
		method_notice_list: "noticeList",
		method_platform_detail: "platformInfo",
		method_profit_rule: "profit_rule",
		method_register_protocol: "registerProtocol",
		method_site_letter_detail: "siteLetterDetail",
		method_site_letter_list: "siteLetterList",
		method_site_letter_read: "siteLetterRead",
		method_unread_site_letter_count: "unreadSiteLetterCount",
	},
	message: {
		name: "message",

	},
	news: {
		name: "news",
		method_get_sliding_pictures: "get_sliding_pictures",
		method_platform_news_detail: "platform_news_detail",
		method_platform_news_list: "platform_news_list"
	},

	order: {
		name: "order",
		method_cancel_bill: 'cancelBill',
		method_driver_pay: 'driverPay',
		method_evaluate: 'evaluate',
		method_get_driver_pay_state: 'getDriverPayState',
		method_get_shipper_pay_state: 'getShipperPayState',
		method_get_vehicle_position_by_bill: 'getVehiclePositionByBill',
		method_get_vehicle_position_by_id: 'getVehiclePositionById',
		method_is_driver_pay_ok: 'isDriverPayOk',
		method_my_bill_detail: 'Waybill_detail',
		method_my_bill_list: 'my_bill_list',
		
		method_my_goods_bill_detail: 'my_goods_bill_detail',
		method_my_goods_detail: 'my_goods_detail',
		method_my_goods_edit: 'myGoodsEdit',
		method_my_goods_list: 'my_goods_list',
		method_my_goods_statistics: 'myGoodsStatistics',
		method_my_goods_statistics_single: 'myGoodsStatisticsSingle',
		method_pay_info_fee: 'payInfoFee',
		method_set_bill_state: 'set_bill_state',
		method_set_goods_state: 'set_goods_state',
		method_shipper_cancel_bill: 'shipperCancelBill',
		method_shipper_pay: 'shipperPay',
		method_transaction_list: 'transaction_list',
	},
	product: {
		name: "product",
		method_goods_detail: 'goods_detail',
		method_goods_list: 'goods_list',
		method_goods_type_exists: 'goodsTypeExists',
		method_publish_goods: 'publish_goods',

		method_take_bill: 'Waybill',
		method_vehicle_detail: 'vehicle_detail',
		method_vehicle_list: 'vehicle_list',
	},
	user: {
		name: "user",
		method_add_common_routine: "add_common_routine",
		method_add_custom_search: "addCustomSearch",
		method_agent_list: "agent_list",
		method_agent_report_list: "agent_report_list",
		method_apply_5a: "applyA",
		method_bill_list_by_vehicle: "billListByVehicle",
		method_bind_vehicle: "binding_cars",
		
		method_change_password: "change_password",
		method_common_goods_delete: "commonGoodsDelete",
		method_common_goods_detail: "commonGoodsDetail",
		method_common_goods_list: "common_goods_list",
		method_common_integral_list: "common_integral_list",
		method_common_routine_list: "common_routine_list",
		method_complaint: "complaint",
		method_custom_search_list: "customSearchList",
		method_delete_common_routine: "deleteCommonRoutine",
		method_distribution_profit_list: "distribution_profit_list",
		method_driver_delete_vehicle: "driverDeleteVehicle",
		method_driver_bind_vehicle: "driverBindVehicle",
		method_edit_user_detail: "editUserDetail",
		method_feedback: "Opinion",
		method_forget_password: "forget_password",
		method_GetCarsByPostion: "GetCarsByPostion",
		method_get_latest_position: "getLatestPosition",
		method_GetNearsByPostion: "GetNearsByPostion",
		method_insert_cars: "insert_cars",
		method_my_account_list: "account_list",
		method_my_evaluate_list: "my_evaluate_list",
		method_my_familiar_vehicle_list: "myFamiliarVehicleList",
		method_my_vehicle_delete: "my_vehicle_delete",
		method_my_vehicle_detail: "my_vehicle_detail",
		method_my_vehicle_edit: "my_vehicle_edit",
		method_my_vehicle_list: "my_vehicle_list",
		method_letter_count: "letter_count",
		method_letter_list: "message_list",
		method_letter_detail: "message_detail",
		method_login: "log_in",
		method_owner_unbind_vehicle: "ownerUnbindVehicle",
		method_ProvidePostion: "ProvidePostion",
		method_recharge_alipay: "recharge",
		method_recommended_goods_list: "recommendedGoodsList",
		method_register: "register",
		method_register_check: "registerCheck",
		method_reset_password: "text_PWD",
		method_selCompalint: "selCompalint",
		method_my_shipper_vehicle_list: "my_shipper_vehicle_list",
		method_system_evaluate: "system_views",
		
		
		
		method_unbind_vehicle: "unbindVehicle",
		method_unreadSiteLetterCount: "unreadSiteLetterCount",
	
		
		
		
		
		method_upload_avatar: "upload_avatar",
		method_upload_vehicle_license: "uploadVehicleLicense",
		method_user_detail: "user_detail",
		method_verification_code: "text_code",
		method_verify: "verify",
		method_verify_driver: "verifyDriver",
		method_verify_shipper_a: "verifyShipperA",
		method_verify_shipper_b: "verifyShipperB",
		method_withdraw: "withdraw",
		method_withdraw_fee: "withdraw_fee",
		
		method_withdraw_rules: "withdraw_rules"
	}
};

var baoxuechao = "http://192.168.1.63:86";
var lishaopeng = "http://192.168.1.33:86";
var litonghui = "http://192.168.1.65:86";
var waiwang = "http://114.215.47.37:81";
var global_test_ajaxURL = waiwang;
var global_official_ajaxURL = "https://hysz.kuguanyun.net";

var global_absoluteRoot = global_official_ajaxURL;
//ajax请求公网域名
var global_ajaxURL = global_absoluteRoot + '/appInterface/';

var global_defaultAvatar = "images/avatar.png";
//var global_imgURL = global_absoluteRoot + 'pxcms-java/src/main/resources/static';
var global_imgURL = global_absoluteRoot + '';
//新闻列表暂无图片
var global_noPicURL = 'images/avatar.png';

var global_aboutType = {
	ABOUT_US: 1,
	DISCOVERY: 7,
	NOTICE: 11
};

var global_ajaxResult = {
	SUCCESS: 1,
	FAILED: 0,
	SIGN_ERROR: -1
};

var global_ajaxTimeout = 20 * 1000;

var global_billState = {
	TAKEN: 0,
	0: "已接单",
	DONE: 1,
	1: "已完成",
	CANCELLED: 2,
	2: "已取消",
	IN_APPLICATION_FOR_CANCELLATION: 3,
	3: "申请取消",
	ALL: 4,
	4: "全部"
};

var global_columnActionType = {
	//普通（列表页）
	LIST: 1,
	//单页（详情页）
	DETAIL: 2,
	//跳转（跳转到指定地址）
	LINK: 3
};

var global_dialogOptions = {
	NO: "否",
	YES: "是",

};

var global_evaluateType = {
	EVALUATE_DRIVER: 0,
	EVALUATE_SHIPPER: 1
};
var global_goodsState = {
	TO_LOAD: 0,
	0: "待装货",
	DONE: 1,
	1: "已完成",
	CANCELLED: 2,
	2: "已取消",
	STOPPED: 3,
	3: "已停止"
};

var global_goodsTypeWay = {
	PICKED: 1,
	INPUT: 2
};

//站内信状态
var global_letterStatus = {
	UNREAD: 0,
	READ: 1
};

var global_localStorage = {
	json: {
		/*
		 * title string 标题
		 * url string url
		 */
		browser: "browser",
		/*
		 * id string/number 
		 * title string
		 */
		column: "column",
		/*
		 * (string)dateStart: 起始日期（2017-5-25）
		 * (string)dateEnd: 截止日期（2017-5-25）
		 * (number)state: 运单状态
		 */
		statisticsSearchCondition: "statisticsSearchCondition",
		/*
		 * (string)dateStart: 起始日期（2017-5-25）
		 * (string)dateEnd: 截止日期（2017-5-25）
		 * (number)state: 运单状态
		 */
		statisticsSearchConditionSingle: "statisticsSearchConditionSingle",
		/*
		 * lng number 经度
		 * lat number 纬度
		 */
		vehicleCurrentPosition: "vehicle_current_position"
	},

	billId: "bill_id",
	boundVehicleId: "bound_vehicle_id",
	commonGoodsId: "common_goods_id",
	driverId: "driver_id",
	endAddressId: "end_address_id",
	endAddressText: "end_address_text",
	firstLaunch: "first_launch",
	goodsId: "goods_id",
	isVehicleOwner: "is_vehicle_owner",
	letterId: "letter_id",
	manageVehicle: "manage_vehicle",
	

	method_longitude: "loc_longitude",
	method_latitude: "loc_latitude",
	noticeId: "notice_id",
	payState: "pay_state",
	pickAddressIntent: "pick_address_intent",
	pushMsg: "push_msg",
	carLength: "carLength",
	carLoad: "carLoad",
	
	
	inputCarNum: "inputCarNum",
	inputEngineNum: "inputEngineNum",
	payTargetId: "pay_target_id",
	roleId: "role_id",
	respondentId: "loc_respondentId",
	respondentName: "loc_respondentName",
	searchInCity: "search_in_city",
	startAddressId: "start_address_id",
	startAddressText: "start_address_text",
	userCardId: "user_card_id",
	//用户id
	userId: "loc_userID",
	vehicleId: "vehicle_id",
	waybillNum: "loc_waybillNum",
};

var global_loginType = {
	PASSWORD: 1,
	VERIFY: 2
};
var global_manageVehicle = {
	ADD: 1,
	EDIT: 2,
	DELETE: 3
};

var global_payState = {
	UNPAID: 0,
	PAID: 1
};


var global_payType = {
	ALIPAY: {
		id: "alipay",
		value: 0
	},
	WEIXIN: {
		id: "wxpay",
		value: 1
	},
	BALANCE: {
		id: "balance",
		value: 2
	},
};

var global_pickAddressIntent = {
	PUBLISH_GOODS_START_PLACE: 1,
	PUBLISH_GOODS_END_PLACE: 2
};



//正则表达式对象
var global_regexp = {
	cellPhone: /^1[3|4|5|7|8]\d{9}$/,
	containsNumbers: /[^\D]/,
	email: /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/,
	idCard: /(^\d{18}$)|(^\d{17}(\d|X|x)$)/,
	telephone: /0\d{2,3}-\d{5,9}|0\d{2,3}-\d{5,9}/
};

/*
 * 根据角色显示
 * active: 触发方式，1 本地存储角色来决定
 *                2 顶部标签来决定
 */
var global_setModeActive = {
	LOCAL: 1,
	TAG: 2
};

var global_share = {
	WEIXIN: "weixin"
};

//字符串
var global_stringObject = {
	hideTel: "*********",
	project: "货运神州",
	protocol: "货运神州用户服务协议",
	routeMatrixScriptId: "scriptRouteMatrix",
	serviceDial: "",
	serviceDisplay: "",
	shareContent: "【货运神州】永久性车主与货主直接联系，省去中间费用。",
	wangluoyichang: "加载失败"
};

var global_system = {
	Android: 1,
	iOS: 2
};

var global_transactionState = {
	IN_PROCESS: 0,
	0: "处理中",
	SUCCESS: 1,
	1: "成功",
	FAILED: 2,
	2: "失败"
};

var global_userRole = {
	//后台管理员
	ADMINISTRATOR: 0,
	//货主
	SHIPPER: 1,
	//司机
	DRIVER: 2
};

var global_verifyStatus = {
	//已实名认证
	VERIFIED: 2,
	//未实名认证
	UNVERIFIED: 3,
	//审核未通过
	REJECTED: 1,
	//已提交认证申请，等待审核
	WAIT: 0
};


var global_wxScene = {
	FAVORITE: "WXSceneFavorite",
	SESSION: "WXSceneSession",
	TIMELINE: "WXSceneTimeline"

};